Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.tags
Class CalendarInputTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.jaspersoft.jasperserver.war.tags.CalendarInputTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class CalendarInputTag

extends javax.servlet.jsp.tagext.TagSupport

Version:
  $Id: CalendarInputTag.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_DATE_FORMAT_MESSAGE`
`static java.lang.String` | `DEFAULT_DATETIME_FORMAT_MESSAGE`
`static java.lang.String` | `DEFAULT_IMAGE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CalendarInputTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getFormatPattern()`
`protected java.lang.String` | `getImageSource(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `getImageSrc()`
`java.lang.String` | `getImageTipMessage()`
`protected java.lang.String` | `getImageTooltip(org.springframework.web.context.WebApplicationContext applicationContext, java.util.Locale locale)`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnchange()`
`protected java.lang.String` | `getPattern(org.springframework.web.context.WebApplicationContext applicationContext, java.util.Locale locale)`
`java.lang.String` | `getTimezoneOffset()`
`protected java.lang.String` | `getTimezoneOffset(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `getValue()`
`boolean` | `isReadOnly()`
`boolean` | `isTime()`
`void` | `release()`
`void` | `setFormatPattern(java.lang.String formatPattern)`
`void` | `setImageSrc(java.lang.String imageSrc)`
`void` | `setImageTipMessage(java.lang.String imageTipMessage)`
`void` | `setName(java.lang.String name)`
`void` | `setOnchange(java.lang.String onChange)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setTime(boolean time)`
`void` | `setTimezoneOffset(java.lang.String timezoneOffset)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATE_FORMAT_MESSAGE

    public static final java.lang.String DEFAULT_DATE_FORMAT_MESSAGE

See Also:
  Constant Field Values

### DEFAULT_DATETIME_FORMAT_MESSAGE

    public static final java.lang.String DEFAULT_DATETIME_FORMAT_MESSAGE

See Also:
  Constant Field Values

### DEFAULT_IMAGE

    public static final java.lang.String DEFAULT_IMAGE

See Also:
  Constant Field Values

Constructor Detail

### CalendarInputTag

    public CalendarInputTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getPattern

    protected java.lang.String getPattern(org.springframework.web.context.WebApplicationContext applicationContext,
                                          java.util.Locale locale)

### getImageSource

    protected java.lang.String getImageSource(javax.servlet.http.HttpServletRequest request)

### getImageTooltip

    protected java.lang.String getImageTooltip(org.springframework.web.context.WebApplicationContext applicationContext,
                                               java.util.Locale locale)

### getTimezoneOffset

    protected java.lang.String getTimezoneOffset(javax.servlet.http.HttpServletRequest request)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getFormatPattern

    public java.lang.String getFormatPattern()

### setFormatPattern

    public void setFormatPattern(java.lang.String formatPattern)

### getImageSrc

    public java.lang.String getImageSrc()

### setImageSrc

    public void setImageSrc(java.lang.String imageSrc)

### getImageTipMessage

    public java.lang.String getImageTipMessage()

### setImageTipMessage

    public void setImageTipMessage(java.lang.String imageTipMessage)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String onChange)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### isTime

    public boolean isTime()

### setTime

    public void setTime(boolean time)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getTimezoneOffset

    public java.lang.String getTimezoneOffset()

### setTimezoneOffset

    public void setTimezoneOffset(java.lang.String timezoneOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.